function fem = getInitFem(theta)

fem.solform = 'coefficient';

% COMSOL version
clear vrsn
vrsn.name = 'COMSOL 3.4';
vrsn.ext = '';
vrsn.major = 0;
vrsn.build = 248;
vrsn.rcs = '$Name:  $';
vrsn.date = '$Date: 2007/10/10 16:07:51 $';
fem.version = vrsn;

% Geometry
g1=rect2(1,1,'base','corner','pos',[0,0]);

% Analyzed geometry
clear s
s.objs={g1};
s.name={'R1'};
s.tags={'g1'};

fem.draw=struct('s',s);
fem.geom=geomcsg(fem);

% Constants
fem.const = {'theta1','1', ...
  'theta2','0', ...
  'theta3','1', ...
  'theta4','0', ...
  'theta5','1', ...
  'theta6','1'};

if nargin>0
  fem.const(2:2:end) = theta;
end

% Initialize mesh
fem.mesh=meshinit(fem, ...
                  'hauto',5);

% (Default values are not included)

% Application mode 1
clear appl
appl.mode.class = 'FlPDEC';
appl.dim = {'w1','w2','w1_t','w2_t'};
appl.gporder = 2;
appl.cporder = 1;
appl.assignsuffix = '_c';
clear prop
prop.elemdefault='Lag1';
appl.prop = prop;
clear bnd
bnd.type = {'dir','neu'};
bnd.ind = [2,2,2,1];
appl.bnd = bnd;
clear equ
equ.c = {{{'theta1';'theta3'};{0,'theta2';'theta4',0};{'theta5';'theta6'}}};
equ.ind = [1];
appl.equ = equ;
fem.appl{1} = appl;
fem.frame = {'ref'};
fem.border = 1;
clear units;
units.basesystem = 'SI';
fem.units = units;

% ODE Settings
clear ode
clear units;
units.basesystem = 'SI';
ode.units = units;
fem.ode=ode;
% Multiphysics
fem=multiphysics(fem);

% Extend mesh
fem.xmesh=meshextend(fem);